Bug 729824 - RFE: relax conditions on the (software) version: parameter
Summary: RFE: relax conditions on the (software) version: parameter
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Publican
Classification: Community
Component: publican
Version: 2.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: 2.7
Assignee: Jeff Fearn 🐞
QA Contact: Ruediger Landmann
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-10 23:40 UTC by Ruediger Landmann
Modified: 2011-09-06 03:56 UTC (History)
2 users (show)

Fixed In Version: 2.7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-06 03:56:45 UTC


Attachments (Terms of Use)

Description Ruediger Landmann 2011-08-10 23:40:46 UTC
Description of problem:
The version: parameter (often set through <productnumber> in the Book_Info.xml file) is presently limited to digits and dots. This prevents setting useful values like "6-Beta". 

This value isn't used for the version number of the package in which the book ships; it's used as part of the *name* of that package, so it only needs to be constrained to characters permissible in the N of the NVR, not the (stricter) V.

Version-Release number of selected component (if applicable):
2.6-3

How reproducible:
100%

Steps to Reproduce:
1. Set "version: 6-Beta" in the publican.cfg file of a book
2. Attempt to build or package the book
  
Actual results:
Build fails because version: contains letters

Expected results:
Build succeeds

Comment 1 Jeff Fearn 🐞 2011-08-11 03:43:59 UTC
Changed restriction from '[^0-9.]' anything is not a number or a dot, to '^[^0-9]' first character is not a number. So as long as the version starts with a number publican is happy.

Committed revision 1861.

Comment 2 Jeff Fearn 🐞 2011-09-06 03:56:45 UTC
Publican 2.7 has been release and includes a fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.